Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRAbstractChartCustomizer

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractChartCustomizer

All Implemented Interfaces:
  JRChartCustomizer

    public abstract class JRAbstractChartCustomizer

extends java.lang.Object
implements JRChartCustomizer

Abstract implementation of `JRChartCustomizer` that provides access to parameter, variable and field values.

Version:
  $Id: JRAbstractChartCustomizer.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`protected` | `JRAbstractChartCustomizer()` Default constructor.

Method Summary
`protected java.lang.Object` | `getFieldValue(java.lang.String fieldName)` Returns the value of a report field.
`protected java.lang.Object` | `getFieldValue(java.lang.String fieldName, boolean fromInputDataset)` Returns the value of a report or input dataset field.
`protected java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Returns the value of a report parameter.
`protected java.lang.Object` | `getParameterValue(java.lang.String parameterName, boolean fromInputDataset)` Returns the value of a report or input dataset parameter.
`protected java.lang.Object` | `getVariableValue(java.lang.String variableName)` Returns the value of a report variable.
`protected java.lang.Object` | `getVariableValue(java.lang.String variableName, boolean fromInputDataset)` Returns the value of a report or input dataset variable.
`void` | `init(JRBaseFiller chartFiller, JRFillChart chart)` Initializes the chart customizer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartCustomizer
`customize`

Constructor Detail

### JRAbstractChartCustomizer

    protected JRAbstractChartCustomizer()

  Default constructor.

Method Detail

### init

    public void init(JRBaseFiller chartFiller,
                     JRFillChart chart)

  Initializes the chart customizer.

  Parameters:
    `chartFiller` - the filler instance
    `chart` - the fill chart object

### getParameterValue

    protected final java.lang.Object getParameterValue(java.lang.String parameterName)

  Returns the value of a report parameter.

  Parameters:
    `parameterName` - the parameter name
  Returns:
    the value of a report parameter

### getParameterValue

    protected final java.lang.Object getParameterValue(java.lang.String parameterName,
                                                       boolean fromInputDataset)

  Returns the value of a report or input dataset parameter.

  The input dataset differs from the report dataset when the chart uses a sub dataset as input.

  Parameters:
    `parameterName` - the parameter name
    `fromInputDataset` - whether the parameter belongs to the input dataset rather than the report.

    This is usefull only when the chart uses a sub dataset as input.

  Returns:
    the value of the parameter

### getVariableValue

    protected final java.lang.Object getVariableValue(java.lang.String variableName)

  Returns the value of a report variable.

  Parameters:
    `variableName` - the variable name
  Returns:
    the value of a report variable

### getVariableValue

    protected final java.lang.Object getVariableValue(java.lang.String variableName,
                                                      boolean fromInputDataset)

  Returns the value of a report or input dataset variable.

  The input dataset differs from the report dataset when the chart uses a sub dataset as input.

  Parameters:
    `variableName` - the variable name
    `fromInputDataset` - whether the variable belongs to the input dataset rather than the report.

    This is usefull only when the chart uses a sub dataset as input.

  Returns:
    the value of the variable

### getFieldValue

    protected final java.lang.Object getFieldValue(java.lang.String fieldName)

  Returns the value of a report field.

  Parameters:
    `fieldName` - the field name
  Returns:
    the value of a report field

### getFieldValue

    protected final java.lang.Object getFieldValue(java.lang.String fieldName,
                                                   boolean fromInputDataset)

  Returns the value of a report or input dataset field.

  The input dataset differs from the report dataset when the chart uses a sub dataset as input.

  Parameters:
    `fieldName` - the field name
    `fromInputDataset` - whether the field belongs to the input dataset rather than the report.

    This is usefull only when the chart uses a sub dataset as input.

  Returns:
    the value of the field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com